List prediction market events
curl --request GET \
--url https://api.rekko.ai/v1/eventsimport requests
url = "https://api.rekko.ai/v1/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rekko.ai/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rekko.ai/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rekko.ai/v1/events"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rekko.ai/v1/events")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rekko.ai/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"slug": "<string>",
"title": "<string>",
"platform": "<string>",
"market_count": 1,
"total_volume_24h": 1,
"updated_at": "2023-11-07T05:31:56Z",
"category": "",
"featured": false
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Events
List Events
List prediction market events grouped with aggregate stats.
Events group related individual markets (e.g., “Who will leave the Trump administration?” groups 32 individual outcome markets). Sorted by aggregate 24h volume descending.
GET
/
v1
/
events
List prediction market events
curl --request GET \
--url https://api.rekko.ai/v1/eventsimport requests
url = "https://api.rekko.ai/v1/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rekko.ai/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rekko.ai/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rekko.ai/v1/events"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rekko.ai/v1/events")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rekko.ai/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"slug": "<string>",
"title": "<string>",
"platform": "<string>",
"market_count": 1,
"total_volume_24h": 1,
"updated_at": "2023-11-07T05:31:56Z",
"category": "",
"featured": false
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Response
Successful Response